Subject: Re: bug#1754: 23.0.60; tool-bar is shown with tool-bar-mode off

From: martin rudalics <[email-masked]>
Date: Fri, 02 Jan 2009 15:50:37 +0100

> I can see why you get that impression from the doc string of
 > pop-up-frame-alist. The second line is confusing - both in that the
 > mentioned buffers are not pop-up-frames by default, and that if
 > pop-up-frames is enabled, then there is no difference between the
 > mentioned buffers and any other buffer that displays in a pop-up frame.
 >
 > The doc string should just say that pop-up-frame-alist applies to
 > pop-up-frames, which should also be obvious from the name. Trying to
 > explain pop-up-frames there (which I assume is what the intention of the
 > second line is) just confuses things.

I've just rewritten some doc-strings in frame.el.  Please have a look.

martin